package cn.sh.stc.sict.theme.hphy.schedule;

import cn.sh.stc.sict.theme.hphy.wd.HosInfo;
import cn.sh.stc.sict.theme.hphy.wd.WanDaHttpUtil;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 定时任务
 * 1. 每月更新医院信息
 * 2. 每周更新科室信息（一级科室，二级科室）
 * 3. 每周更新医生信息
 * 4. 每天更新可预约信息
 */
@Component
public class RefreshJob {

    @Scheduled(cron = "")
    public void updateHosp(){
        HosInfo hosInfo = new HosInfo();
        List<HosInfo> list = WanDaHttpUtil.getHospitalInfo(hosInfo);
    }

    @Scheduled(cron = "")
    public void updateDeptTop(){

    }

    @Scheduled(cron = "")
    public void updateDeptTwo(){

    }

    @Scheduled(cron = "")
    public void updateDocInfo(){

    }
}
